package com.qmth.paper.library.business.service;

import com.qmth.paper.library.business.entity.PaperScanTask;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 客户端 服务类
 * </p>
 */
public interface ClientService {

    PaperScanTask pageScanTask(Long examId, String courseCode);

    void checkPrivilege(Long userId);

    Long pictureUpload(Long paperScanTaskId, String studentCode, Integer x, Integer y, Integer width, Integer height, Integer rotate, MultipartFile frontFile, String frontMd5, MultipartFile versoFile, String versoMd5, Long scanUserId, String batchNo, Integer studentPaperNo);

    boolean otherUpload(Long paperScanTaskId, MultipartFile frontFile, String frontMd5, MultipartFile versoFile, String versoMd5, Long fileTypeId, String classRoomName);

    boolean updateCount(Long paperScanTaskId, Long examId, Long studentId, Long scanUserId, String batchNo);
}
